Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 1.3.1   

Resolution: Fixed Affected version:  

Description

After updating to 1.3.0 I continue to get the following error when I access the calendar page (it works if I change language to english):

ActionView::TemplateError (incompatible character encodings: UTF-8 and ASCII-8BIT) on line #13 of 

app/views/calendars/show.html.erb:

10: </fieldset>

11: 

12: <p style="float:right;">

13:   <%= link_to_previous_month(@year, @month) %> | <%= link_to_next_month(@year, @month) %>

14: </p>

15: 

16: <p class="buttons">

    app/views/calendars/show.html.erb:13:in `concat'

    app/views/calendars/show.html.erb:13:in `block in _run_erb_app47views47calendars47show46html46

erb'

    app/views/calendars/show.html.erb:3

    <internal:prelude>:10:in `synchronize'

    passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_proces

s_next_request'

    passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_re

quest_handler'

    passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in

 handle_spawn_application'

    passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

    passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_s

pawn_application'

    passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

    passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_ra

ils_application'

    passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_applica

tion'

    passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchro

nize'

    <internal:prelude>:10:in `synchronize'

    passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.11) helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /srv/www/applications/redmine/public/500.html (500 Internal Server Error)

2025-05-17 1/2



Associated revisions

Revision 8210 - 2011-12-14 20:56 - Jean-Philippe Lang

Added encoding comment to helpers (#9792).

Revision 8766 - 2012-02-04 12:08 - Jean-Philippe Lang

Merged r8210 from trunk (#9792).

History

#1 - 2011-12-13 18:42 - Etienne Massip

Which version of Ruby (see SubmittingBugs)?

#2 - 2011-12-13 18:48 - Yuri Bugelli

Sorry, my fault.

About your application's environment

Ruby version              1.9.2 (i486-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /srv/www/applications/redmine

Environment               production

Database adapter          postgresql

Database schema version   20110902000000

About your Redmine plugins

Bulk Time Entry               0.5.0

Mylyn Connector plugin        2.7.5.stable

Redmine Checkout plugin       0.5

Redmine Time Tracker plugin   0.4

Timesheet Plugin              0.6.0

#3 - 2011-12-13 18:55 - Etienne Massip

- Category changed from Translations to Calendar

#4 - 2011-12-14 13:55 - Toshi MARUYAMA

- Subject changed from [v1.3.0] Error: incompatible character encodings for it translation on Calendar page to Ruby 1.9: [v1.3.0] Error: incompatible

character encodings for it translation on Calendar page

#5 - 2011-12-14 20:57 - Jean-Philippe Lang

- Category changed from Calendar to Ruby support

- Status changed from New to Resolved

- Target version set to 1.3.1

I was able to reproduce. This should be fixed in r8210.

#6 - 2012-01-11 05:36 - Leon Guan

I am having the same issue in WIKI pages, if the wiki link is constructed by UTF-8 characters, such as Chinese, the linked wiki page will result in error

500, and check the error log it has the incompatible issue on translation. For those pages with links in LATIN, they worked fine, even the contents are

with UTF chars.

#7 - 2012-02-04 12:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

Leon, please open a separate issue if your problem still persists.
